from sourcepackage import SourcePackage
from binarypackages import BinaryPackages

from tests import run_tests, find_info, print_info

class Test(object):
    def __init__(self, path, dump_info):
        self.sp = SourcePackage()
        find_info(self.sp)
        if dump_info:
            print_info(self.sp)
        else:
            run_tests(self.sp)
        self.bp = BinaryPackages(path, self.sp)
        find_info(self.bp)
        if dump_info:
            print_info(self.bp)
        else:
            run_tests(self.bp)
