from operator import methodcaller

def find_info(ob):
    clues = filter(lambda a: a.startswith("find_"), dir(ob))
    for f in map(lambda a: methodcaller(a), clues):
        f(ob)

def run_tests(ob):
    tests = filter(lambda a: a.startswith("test_"), dir(ob))
    for f in map(lambda a: methodcaller(a), tests):
        f(ob)

def print_info(ob):
    print ob.__class__.__name__
    for attribute in ob.__dict__:
        value = getattr(ob, attribute)
        if isinstance(value, (list, set)):
            value = "\n".join(["\t\t%s" % v for v in value])
        print attribute, ":\t", value
    print "---"
